# Cookie Information

## CONTENTS OF THIS FILE

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Troubleshooting
 * Sponsors
 * Maintainers

## INTRODUCTION

This module is created to make it easier to integrate your Drupal installation with the cookie platform Cookie information.

The module includes a basic integration to the service and some additional features like IAB and Google Consent Mode support.

## REQUIREMENTS

* One or more cookieinformation.com subscriptions.

## INSTALLATION

* Install this module as any other Drupal module, see the documenation on
[Drupal.org](https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules).

## CONFIGURATION

* Go to /admin/config/system/cookie-information.
* Enable consent widget and configure visibility if required.

### Google consent mode

The Cookie information Drupal module has build in support for [Google Consent Mode](https://support.google.com/analytics/answer/9976101?hl=en). This adds the requires tags to allow collecting anonymous statistics from the visitors.

The latest version of the module also supports v2. There is a [upgrade documentation](https://support.cookieinformation.com/en/articles/8707953-how-to-update-to-google-consent-mode-v2) for the needed changes. All the other changes are handled by the module but the step that needs changing the template to support Google Consent Mode v2 needs to be done in the [platform settings](http://go.cookieinformation.com/).

## TROUBLESHOOTING

* Submit an issue at
  https://www.drupal.org/project/issues/cookieinformation.

## SPONSORS

* [FFW](https://ffwagency.com)
* [Exove](https://www.exove.com)

## MAINTAINERS

Current maintainers:
* [Jens Beltofte](https://drupal.org/u/beltofte)
* [Heikki Ylipaavalniemi](https://drupal.org/u/HeikkiY)
* [Kalle Kipinä](https://drupal.org/u/kekkis)
